Bug 753425 - The keymap change desn't work with the lock screen
The keymap change desn't work with the lock screen
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-12 07:35 EST by Couret Charles-Antoine
Modified: 2011-12-30 02:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-30 02:01:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Couret Charles-Antoine 2011-11-12 07:35:43 EST
Description of problem:
I use 2 keymaps with my laptop : the fr-latin9 for my default keymap and fr-bépo keymap with an another keyboard in USB port.

I can switch with Gnome the keymap with an applet in panel. But This not works in two situations :
-If I unplug my trackball, I can't click in this applet. It's necessary to click with right button and select the keymap.

-If I lock my screen, the default keymap is fr-latin-9, even if I have selected bépo-keymap before. And if I click in the button in this screen connexion, the keymap not change but the button displays « fr2 », like I have selected the bépo keymap.


Expected results:

-I could click already in this applet and it's change the keymap.

Additional info:
I use Gnome 3.2 in restricted mode.
Comment 1 fujiwara 2011-11-13 22:21:26 EST
Do you use ibus while you indicate the keyboard status-icon instead of ibus one?
Do you install the latest ibus?

# yum install ibus
% rpm -q ibus
ibus-1.4.0-10.fc16.x86_64
Comment 2 Couret Charles-Antoine 2011-11-14 13:00:37 EST
[root@DiNozzo ~]# rpm -q ibus
ibus-1.4.0-10.fc16.x86_64

But, the status-icon is not ibus ? With « en », « fr », «fr2 » by way icon.
If it's not ibus, I'm sorry, but the bug is present for this component.
Comment 3 fujiwara 2011-11-14 20:49:46 EST
«fr2», the suffix is not implemented in ibus icon yet so I'd expect your icon would be gnome-settings-daemon's keyboard icon.

(In reply to comment #2)
> but the bug is present for this component.

Why do you think so?
You could disable ibus with 'im-chooser' command and check if your problem could be happened without running ibus.

Note You need to log in before you can comment on or make changes to this bug.